Your submission was sent successfully! Close

CVE-2010-2949

Published: 10 September 2010

bgpd in Quagga before 0.99.17 does not properly parse AS paths, which allows remote attackers to cause a denial of service (NULL pointer dereference and daemon crash) via an unknown AS type in an AS path attribute in a BGP UPDATE message.

Priority

Medium

Status

Package Release Status
quagga
Launchpad, Ubuntu, Debian
dapper
Released (0.99.2-1ubuntu3.7)
hardy
Released (0.99.9-2ubuntu1.4)
jaunty Ignored
(reached end-of-life)
karmic
Released (0.99.13-1ubuntu0.1)
lucid
Released (0.99.15-1ubuntu0.1)
maverick Not vulnerable
(0.99.17-1)
upstream
Released (0.99.17)
Patches:
upstream: http://code.quagga.net/?p=quagga.git;a=commitdiff;h=cddb8112b80fa9867156c637d63e6e79eeac67bb
vendor: http://security.debian.org/pool/updates/main/q/quagga/quagga_0.99.10-1lenny3.diff.gz